org.apache.maven.scm.provider.bazaar.command

## Class BazaarConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.bazaar.command.BazaarConsumer

- All Implemented Interfaces:
    org.codehaus.plexus.util.cli.StreamConsumer
  Direct Known Subclasses:
    BazaarAddConsumer, BazaarChangeLogConsumer, BazaarCheckOutConsumer, BazaarDiffConsumer, BazaarRemoveConsumer

      public class BazaarConsumer
      extends AbstractConsumer

  Base consumer to do common parsing for all bazaar commands.

  More specific: log line each line if debug is enabled, get file status and detect warnings from bazaar
  Version:
    $Id: BazaarConsumer.java 804398 2009-08-14 22:31:48Z struberg $
  Author:
    Torbjï¿½rn Eikli Smï¿½rgrav

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BazaarConsumer(ScmLogger logger)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consumeLine(String line)`
    `void` | `doConsume(ScmFileStatus status, String trimmedLine)`
    `String` | `getStdErr()` Warnings and errors is usually printed out in Std.Err, thus for derived consumers operating on Std.Out this would typically return an empty string.

    - ### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

      `getLogger, parseDate, parseDate, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BazaarConsumer

          public BazaarConsumer(ScmLogger logger)

  - ### Method Detail

    - #### doConsume

          public void doConsume(ScmFileStatus status,
                       String trimmedLine)

    - #### consumeLine

          public void consumeLine(String line)

    - #### getStdErr

          public String getStdErr()

      Warnings and errors is usually printed out in Std.Err, thus for derived consumers operating on Std.Out this would typically return an empty string.
      Returns:
        Return the last lines interpreted as an warning or an error

Copyright © 2003–2015. All rights reserved.